aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAaron LI <aly@aaronly.me>2019-01-14 15:18:32 +0800
committerAaron LI <aly@aaronly.me>2019-01-14 15:18:32 +0800
commit591603fcdb0660ec6689019e39437c2d9e513229 (patch)
tree2f3e3246d5ac0dcffa4d72cc396b674428fd1f3d
parent789226bf5a815a04494a7fa5b6f4fbace73f3d70 (diff)
downloadatoolbox-591603fcdb0660ec6689019e39437c2d9e513229.tar.bz2
cli/jpg2pdf.sh: Add simple usage
-rwxr-xr-xcli/jpg2pdf.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/cli/jpg2pdf.sh b/cli/jpg2pdf.sh
index ac992af..9041009 100755
--- a/cli/jpg2pdf.sh
+++ b/cli/jpg2pdf.sh
@@ -1,7 +1,7 @@
#!/bin/sh
#
#############################################################################
-#
+#
# Shellscript to convert a set of JPEG files to a multipage PDF.
#
# Requirements: (1) Ghostscript needs to be installed on the local system.
@@ -18,6 +18,12 @@
#
#############################################################################
+if [ $# -lt 2 ]; then
+ echo "Usage:"
+ echo " `basename $0` output.pdf 1.jpg ..."
+ exit 1
+fi
+
outfile=$1
shift